Summary:	The boot loader for Linux and other operating systems.
Group:		System Environment/Base
License:	MIT
Name:		lilo
Version:	21.4.4
Release:	4
Source0:	ftp://metalab.unc.edu/pub/Linux/system/boot/lilo/%{name}-%{version}.tar.gz
Source1:	keytab-lilo.c
Source2:	lilo.msg-3.0.1
Patch00:	lilo-21.4.4-graphical.patch
Patch01:	lilo-0.21-broken.patch
Patch02:	lilo-21.4.4-sa5300.patch
Patch03:	lilo-21.4.4-boot.patch
Patch04:	lilo-21.4.4-i2o.patch
Patch05:	lilo-21.4.4-unsafe.patch
Patch06:	lilo-21.4.4-ac-buildfix-gd-1.diff
Patch07:	lilo-21.4.4-engarde-3-buildfixes-gd-1.diff
Patch08:	lilo-21.4.4-Makefile-gd-2.diff
Patch20:	lilo-21.4.4-x86_64-gd-1.diff
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	dev86
Requires:	mkinitrd

%description
LILO (LInux LOader) is a basic system program which boots your Linux
system.  LILO loads the Linux kernel from a floppy or a hard drive,
boots the kernel and passes control of the system to the kernel.  LILO
can also boot other operating systems.

%files
  %defattr(0444,root,root,0555)
  %doc README CHANGES COPYING INCOMPAT QuickInst

  %attr(0600,root,root)		/boot/boot.b
  %attr(0600,root,root)		/boot/chain.b
  %attr(0600,root,root)		/boot/os2_d.b
  %attr(0600,root,root)		/boot/boot.msg
  %attr(0700,root,root)		%{_root_sbindir}/lilo
  %attr(0700,root,root)		%{_bindir}/keytab-lilo
  %attr(0700,root,root)		%{_bindir}/keytab-lilo.pl

%prep
%setup -q
%patch00 -p1
%patch01 -p1
%patch02 -p1
%patch03 -p1
%patch04 -p1
%patch05 -p1
%patch06 -p1
%patch07 -p1
%patch08 -p1
%ifarch x86_64
%patch20 -p1
%endif

%build
  make RPM_OPT_FLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
  gcc $RPM_OPT_FLAGS -o keytab-lilo %{SOURCE1}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  install -d $RPM_BUILD_ROOT/%{_prefix}

  make install ROOT=$RPM_BUILD_ROOT
  mv $RPM_BUILD_ROOT/%{_sbindir} $RPM_BUILD_ROOT/%{_bindir}

  install keytab-lilo $RPM_BUILD_ROOT/%{_bindir}
  install %{SOURCE2}  $RPM_BUILD_ROOT/boot/boot.msg

  # Remove unpackaged files.
  rm -fr $RPM_BUILD_ROOT/%{_prefix}/man

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Sep 13 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 21.4.4, Release 3
  - Use 'int' instead of 'unsigned long' on AMD64... kinda hackish but
    it now works!

* Tue Sep 06 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 21.4.4, Release 2
  - Initial build for EnGarde Secure Linux 3.0.
  - Bump release to 2 so we don't confuse with our last 1.5 package.
  - Update the Makefile patch to use RPM_OPT_FLAGS.
  - Don't include kernel headers where we don't have to (genhd.h).
